import { RegionTreeDistance } from "./RegionTreeDistance"
export class RegionModelAnalysis{
    min_tree_distance   :RegionTreeDistance[]=[]
    isoelectric_points  :Number[]=[]
    genes_in_region     :number=0
    model_fasta_path    :string=""
    region_pdf_path     :string=""
    phylogeny_tree_path :string=""

    constructor(min_tree_distance:RegionTreeDistance[],isoelectric_points:Number[],
        genes_in_region:number,model_fasta_path:string,
        region_pdf_path:string,phylogeny_tree_path:string) { 

        this.min_tree_distance      = min_tree_distance
        this.isoelectric_points     = isoelectric_points 
        this.genes_in_region        = genes_in_region 
        this.model_fasta_path       = model_fasta_path 
        this.region_pdf_path        = region_pdf_path
        this.phylogeny_tree_path    = phylogeny_tree_path 
     }

}