import { Injectable } from '@angular/core';
import { SpeciesAnalysis } from 'src/app/models/SpeciesAnalysis';
import { Router } from '@angular/router';
import { DataService } from './data.service';
@Injectable({
  providedIn: 'root'
})
export class SearchService {

  species_analysis_map = new Map<string,Map<string,SpeciesAnalysis>>();

  constructor(private dataService: DataService,private router: Router) {
    this.species_analysis_map=dataService.species_analysis_map
  }

  //Busca una familia y redirige a la página de la familia, si fallo muestra un mensaje de alerta
  search(to_search):void{

    var key_searched=""
    to_search=to_search.toLowerCase()

    for (let key of this.species_analysis_map.keys()) {
      if(key.toLowerCase().includes(to_search)){
        var key_searched=key
      }
    }

    if(key_searched!==""){

      this.router.navigateByUrl('/', {skipLocationChange: true}).then(()=>
   this.router.navigate(['family/'+key_searched]));

    //this.router.navigate(['family/'+key_searched]);

    }else{

        document.getElementById("alert_div")!.style.display="block"
        var inputElement = <HTMLInputElement>document.getElementById('search');
        inputElement.value = "";

    }
  }

  //Cierra la alerta de búsqueda fallida
  disableAlert():void{
    document.getElementById("alert_div")!.style.display="none"
  }
  
  
}
